stages:
    - deploy

deploy:
    stage: deploy
    tags:
        - k8s
    only:
        - main
    script:
        - chmod og= $GITLAB_SSH_KEY
        - apk update && apk add openssh-client
        - ssh -i $GITLAB_SSH_KEY -o StrictHostKeyChecking=no gitlab@198.58.99.182 "
            cd /home/pencillabs/identity-provider &&
            git pull &&
            docker compose up -d --build"
